Subject: bug#49106: slow load for cups /admin page

From: Brice Waegeneire <[email-masked]>
Date: Sat, 19 Jun 2021 10:18:30 +0200

Hello Christopher,

Christopher Howard <[email-masked]> writes:

> Hi, ever since I have started using Guix a few years ago, I have always found that the cups page at
> http://127.0.0.1:631/admin load very slowly, with nothing appearing on the Web browser page for something like two
> minutes. The home page (http://127.0.01:631) loads very quickly, and also other pages you select after you get to the admin
> page (e.g., modifying a printer) load quickly. I have had this problem across multiple Guix computers using different printers. I
> am wondering if all CUPS installations in the world have this problem, which seems unlikely, or if it is something specific to the
> Guix service configuration.

This is a know issue, I stumbuled upon it this week too.  I already
spent several hours trying to found the origin of that issue.  When
debbuging is activated, from the logs (like the attached one), I can see
that cups' max connection is reached, then after a timeout expire the
page is returned.  But there is also other errors, such as broken pipes,
non extsting files share/doc/cups/admin/conf/cupsd.conf.  I don't know
where to begin.

At the moment testing modification to the cups package to be used in the
service take a lot of time since the cups package is a dependency for a
lot of packages (~3000), if someone know how to speed this up I'm
interesseted.

Cheers,
- Brice